'use strict';

app.directive('requestOverview', function (Database){
  return {
    restrict: 'EA',
    require: 'ngModel',
    replace: true,
    scope: {
      rooms: '=ngModel',
      modelTypes: '='
    },
    templateUrl: 'views/installer/new/overview.html',
    controller: function ($scope) {
      
      $scope.checkName = function(data) {
        if (!data.length) {
          return 'This field is required.';
        } else if (data.length > 32) {
          return 'This field cannot be longer than 32 characters.';
        } else {
          
        }
      };

      $scope.isEntDevice = Database.checkIfEntertainment;

    } 
  };
});